Bug 52935 - printconf-gui crashes when trying to edit entry
printconf-gui crashes when trying to edit entry
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 19:44 EDT by Chris Runge
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 10:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2001-08-30 19:44:19 EDT
Description of Problem:

I'm trying to print to an SMB share using a DJ990C printer. It wasn't
working (still isn't), so when I went to edit the entry after clicking OK
the program crashes abruptly.

Version-Release number of selected component (if applicable):

printconf-gui-0.3.23-1

How Reproducible:

every time

Steps to Reproduce:
1. Add an entry for an HP990 connected via SMB share. I entered the share
name, a host name for the IP address (hope this works), and the workgroup.
2. I click ok, then apply.
3. I tried to print something. nothing happened.
4. I went to edit the entry. Under Queue Type I entered a username and
password.
5. I click OK, the program crashes.

Actual Results:

program crashes abruptly with no error messages. If I start printconf-gui
from an xterm the following appears:


Traceback (innermost last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 1750, in ?
    
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/printconf/util/printconf_gui.py", line 1927, in
qld_on_edit_button_clicked
    qed_run(queue_dict)
  File "/usr/share/printconf/util/printconf_gui.py", line 876, in qed_run
    if not (qed_namealias_check_and_pull() and \
  File "/usr/share/printconf/util/printconf_gui.py", line 1585, in
qed_driver_check_and_pull
    driverspace_apply(qed.queue, qed.driver)
  File "/usr/share/printconf/util/printconf_conf.py", line 391, in
driverspace_apply
    driverspace.foomatic.gs_driver)
  File "/usr/share/printconf/util/printconf_conf.py", line 1258, in
foomatic_printer_driver_lookup
    printer_driver = foomatic_parse_printer_driver(root_node)
  File "/usr/share/printconf/util/printconf_conf.py", line 1230, in
foomatic_parse_printer_driver
    option = foomatic_parse_printer_driver_option(opt)
  File "/usr/share/printconf/util/printconf_conf.py", line 1195, in
foomatic_parse_printer_driver_option
    o.def_en_shortname = o.enum_vals[o.defval].shortname_dict["en"]
KeyError: ev/208

Expected Results:

program doesn't crash

Additional Information:
Comment 1 Bill Nottingham 2001-09-02 23:28:28 EDT
Does this persist with 0.3.36-1?
Comment 2 Crutcher Dunnavant 2001-09-05 15:04:40 EDT
this was fixed in 0.3.32-1

Note You need to log in before you can comment on or make changes to this bug.